org.apache.lucene.analysis.el

## Class GreekStemmer

- java.lang.Object
- - org.apache.lucene.analysis.el.GreekStemmer

    public class GreekStemmer
    extends Object

A stemmer for Greek words, according to: Development of a Stemmer for the Greek Language. Georgios Ntais

NOTE: Input is expected to be casefolded for Greek (including folding of final sigma to sigma), and with diacritics removed. This can be achieved with either `GreekLowerCaseFilter` or ICUFoldingFilter.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`GreekStemmer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `stem(char[] s, int len)` Stems a word contained in a leading portion of a char[] array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GreekStemmer

    public GreekStemmer()

### Method Detail

#### stem

    public int stem(char[] s,
                    int len)

Stems a word contained in a leading portion of a char[] array. The word is passed through a number of rules that modify its length.

Parameters:
  `s` - A char[] array that contains the word to be stemmed.
  `len` - The length of the char[] array.
Returns:
  The new length of the stemmed word.